sap.ui.define([ ], function () {
	"use strict";
	return {
		statusText: function (attach) {
			var resourceBundle = this.getView().getModel("i18n").getResourceBundle();
			switch (attach) {
				case "false":
					return resourceBundle.getText("HasAttachmentsFalse");
				case "true":
					return resourceBundle.getText("HasAttachmentsTrue");
				case "none":
					return resourceBundle.getText("HasAttachmentsNone");
				default:
					return attach;
			}
		},
		
		dateTime: function (jsonDateString) {
			var oDataDate = new Date(parseInt(jsonDateString.replace('/Date(', '')));
			
		 	var dateFormat = sap.ui.core.format.DateFormat.getDateInstance({pattern : "MMM dd, yyyy, HH:mm:ss" }); 

		    return dateFormat.format(oDataDate);
				
			}
	
	};
});